PETSc version 3.17.4
Fix/Edit manual page

# PetscDSSetJetDegree

Set the highest derivative for this field equation, or the k-jet that the discretization needs to tabulate.

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetJetDegree(PetscDS ds, PetscInt f, PetscInt k)

Not collective

### Input Parameters

| ds | - The PetscDS object
| f | - The field number
| k | - The highest derivative we need to tabulate

### See Also

PetscDSGetJetDegree(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

developer

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages